@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root {
	--blanco: #ffffff;
	--azul_madrid: #004FAD;
	--inactivo: #F3F5F590;
	--rojo: #f34943;
	--negro: #000000;
	--fondo: #F5F4F7;
	--letra: #6E7174;
	--gris: #ced4da;
	--gris-claro: #f1f5f7;
	--bordes_EyA: #eaecee;
	--amarillo_apagado: #878749;
	--amarillo_hover: #FFC604;
}

html,
body {
	height: 100%;
	margin: 0;
	padding: 0;
}

body {
	background: var(--blanco);
	font-family: "Roboto", sans-serif;
	font-size: 18px;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	overflow-y: auto !important;
}

main.contenido-principal {
	flex: 1;
	display: flex;
	flex-direction: column;
}

main.contenido-principal2 {
	flex: 1;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
}

.cabecera {
	display: flex;
	justify-content: space-between;
	background-color: var(--fondo);
	padding: 1em 2em !important;
	box-shadow: 0 -1px 6px #0001 !important;
}

#escudo {
	width: 2em;
	height: 2.5em;
	margin-right: .5em;
}

#escudoLogin {
	width: 4em;
	height: 5.5em;
}

.contenedor {
	margin: 1em 2em;
	padding: 1em;
	border: solid 2px var(--azul_madrid);
	border-radius: 5px;
	font-optical-sizing: auto;
	background-color: var(--fondo);
	margin-bottom: 2em !important;
}

.confirma {
	display: flex;
	gap: .6em;
	font-size: 15px;
}

.switches_contabilidad {
	display: flex;
	gap: 1em;
	font-size: 15px;
}

.socioF {
	margin-left: 3em;
}

.sModificar {
	margin-left: auto;
}

.row {
	row-gap: 1em !important;
}

.centrar {
	display: flex;
	text-align: center;
	justify-content: center;
	margin-bottom: .5em;
}

.centrar_todo {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	text-align: center;
	margin: 0;
}

.letra_formu {
	color: var(--letra);
}

.letra_login {
	font-family: "Roboto", sans-serif;
	color: var(--azul_madrid);
}

.letra_peque {
	font-size: 16px !important;
}

#icono {
	font-size: 1.5em;
	border: solid 1px var(--gris);
	border-radius: 3px 0 0 3px;
}

.caja {
	border: solid 1px var(--azul_madrid);
}

.color_texto {
	color: var(--azul_madrid) !important;
}

.letra_menu:hover {
	color: var(--azul_madrid) !important;
}

#cTarifa {
	display: none;
}

.estilo-real-madrid {
	font-weight: bold;
	color: black;
}  

/* Observaciones */

.obs_comun {
	padding: 0 5px !important;
}

.obs_comun textarea {
	font-size: 14px !important;
	margin-top: .5em;
}

.obs_comun label {
	margin: .3em 0 0 .5em;
	color: var(--azul_madrid) !important;
}

/* Tablas */
.titu_tabla thead tr th {
	background-color: #004FAD60 !important;
	font-weight: bold !important;
}

.tabla_small {
	display: none;
}

.linea_small {
	border: solid .3px var(--azul_madrid);
	border-radius: 1px;
	justify-content: center;
	text-align: center;
}

/* DATATABLE */
.dataTables_wrapper .dataTables_paginate .paginate_button {
	background: #004FAD60 !important;
	color: #fff;
	border-radius: 4px;
	margin: 0 2px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
	background: #004FAD !important;
	color: #fff !important;
}

.dataTables_length {
	float: left;
	margin-bottom: .3em;
}

.dataTables_filter {
	float: right;
	margin-bottom: .3em;
}

.dataTables_wrapper .dataTables_paginate .paginate_button,
.dataTables_length,
.dataTables_filter,
.dataTables_info {
	font-family: "Roboto", sans-serif;
	font-size: 14px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
	background-color: #004FAD95 !important;
	color: #fff !important;
	border-radius: 2px;
}

/* Btn */
.color-btn {
	background-color: var(--azul_madrid);
	color: var(--blanco) !important;
}

.color-btn:hover {
	background-color: #2F86F1;
	color: var(--blanco);
}

.color-btn2 {
	background-color: var(--gris);
	color: #5F5F5F;
}

.color-btn2:hover {
	background-color: var(--azul_madrid);
	color: var(--blanco);
}

.btn-modificar {
	background-color: var(--amarillo_apagado);
	color: var(--blanco);
}

.btn-modificar:hover {
	background-color: var(--amarillo_hover);
	color: var(--blanco);
}

.color-btn:disabled {
	background-color: var(--inactivo) !important;
	cursor: not-allowed;
	opacity: 1 !important;
}

.btn-menu {
	display: flex;
	gap: 1em;
	text-decoration: none;
}

.btn-menu a {
	text-decoration: none;
	color: #000000;
}

.btn-menu2 {
	display: none;
}

/* LOGIN */

.container_login {
	border: solid 1px var(--azul_madrid);
	border-radius: 3px;
	background-color: var(--fondo);
	padding: 3em;
	width: 50%;
}

/* INICIO */
.container_inicio {
	border: solid 1px var(--azul_madrid);
	border-radius: 3px;
	background-color: var(--fondo);
	padding: 2em;
	width: 50%;
	gap: 1em;
}

/* FOOTER */
footer {
	background-color: var(--fondo);
	text-align: center;
	padding: 1em;
	width: 100%;
	box-shadow: 0 -1px 6px #0001;
	font-size: 14px;
	flex-shrink: 0;
}

/* COLAPSABLES */
/* Mantener el color hover en botones activos */
.color-btn[data-bs-target].active,
.color-btn[href].active {
	background-color: #2F86F1 !important;
	/* Color de fondo del hover */
}

/* Vincular el estado activo del colapsable al botón */
.collapse.show+.color-btn,
.collapseProv.show+.color-btn,
.color-btn[data-bs-target].active:hover,
.color-btn[href].active:hover {
	background-color: #2F86F1 !important;
}

/* API FOOTBALL */
#proximos-partidos, #clasificacion {
	display: flex;
	flex-direction: column;
	margin-top: 2em;
	border: solid 1px var(--azul_madrid);
	border-radius: 3px;
	padding: 1em 3em 3em 3em;
	background-color: var(--fondo);
}

.titulo_partidos {
	color: var(--blanco);
	background-color: var(--azul_madrid);
	margin-bottom: 1em;
	display: flex;
	text-align: center;
	justify-content: center;
	width: auto;
	border-radius: 3px;
	padding: .3em;
}

.container_partidos {
	background-color: var(--blanco);
	border: solid 1px var(--azul_madrid);
	border-radius: 3px;
	padding: 1em;
}

.container_datos_equipos {
	display: flex;
	justify-content: center;
}

.fecha_p {
	margin-right: .3em;
}

/* CONTABILIDAD */
.caja_cont,
.caja_roscos {
	display: flex;
	flex-direction: column;
	gap: 1em;
}

.datos_cont {
	display: flex;
	width: fit-content;
	padding: .5em;
	border: solid 1px;
	border-radius: 3px;
	gap: .3em;
	font-size: 15px;
}

.datos_cont1 {
	display: flex;
	width: fit-content;
	padding: .5em;
	border: solid 1px #DAA92C;
	border-radius: 3px;
	gap: .3em;
	font-size: 15px;
	background-color: #DAA92C50;
}

/* Gráficos */
.caja_donuts {
	background-color: var(--fondo);
	border-radius: 5px;
	padding: 1.5em;
}

.canvas_donuts {
	max-width: 10em;
	max-height: 10em;
}

/* Subida masiva */
.contenedor_masivo {
	display: flex;
	align-items: center;
	gap: 1em;
	justify-content: right;
	margin-top: 2em !important;
}

.btn-examinar {
	font-size: 14px;
}

.fondo {
	background:
		repeating-linear-gradient(0deg, transparent, transparent 20px, rgba(75, 85, 99, 0.08) 20px, rgba(75, 85, 99, 0.08) 21px),
		repeating-linear-gradient(90deg, transparent, transparent 30px, rgba(107, 114, 128, 0.06) 30px, rgba(107, 114, 128, 0.06) 31px),
		repeating-linear-gradient(60deg, transparent, transparent 40px, rgba(55, 65, 81, 0.05) 40px, rgba(55, 65, 81, 0.05) 41px),
		repeating-linear-gradient(150deg, transparent, transparent 35px, rgba(31, 41, 55, 0.04) 35px, rgba(31, 41, 55, 0.04) 36px);
}

.fondo2 {
	background: radial-gradient(125% 125% at 50% 90%, #fff 40%, #475569 100%);
}

.fondo3 {
	background: radial-gradient(125% 125% at 50% 90%, #fff 40%, #004FAD50 100%);
}

/*	==========================================================================
							@media queries  
	==========================================================================	*/
@media (max-width: 1420px) {
	.container_datos_equipos {
		display: flex;
		flex-direction: column;
		font-size: 16px;
	}
}

@media (width < 1198px) {

	/* esto es lo mismo que max-width: 1198px */
	.caja_roscos {
		display: flex;
		flex-direction: row;
		gap: 1em;
	}

	.roscos {
		justify-content: center;
	}
}

@media (max-width: 1000px) {

	.ocultar,
	.btn-menu {
		display: none;
	}

	.btn-menu2 {
		display: flex;
		gap: .5em;
	}

	.container_login,
	.container_inicio,
	#proximos-partidos {
		width: 80% !important;
	}

	.container_datos_equipos {
		font-size: 14px !important;
	}

	.c_donuts {
		width: 100% !important;
	}

	#clasificacion {
		display: none;
	}
}

@media (max-width: 766px) {

	.dataTables_wrapper .dataTables_paginate,
	.dataTables_length,
	.dataTables_filter,
	.dataTables_info {
		display: none;
	}

	.container-fluid {
		display: flex !important;
		flex-direction: column !important;
		justify-content: center !important;
		align-items: center !important;
	}

	.cabecera {
		padding: 1em !important;
	}

	.oculto {
		display: none;
	}

	.contenedor {
		z-index: 999;
	}

	.tabla_big,
	#tabla_big {
		display: none;
	}

	.tabla_small {
		display: block !important;
		border: solid 1px var(--azul_madrid);
		border-radius: 3px;
		margin: 0 1em 1em 1em;
		box-sizing: border-box;
		overflow: hidden;
		font-size: 16px;
	}

	.confirma2 {
		display: block !important;
	}

	.socioF {
		margin-left: 0;
	}

	.caja_roscos {
		display: flex;
		flex-direction: column;
		gap: 1em;
	}
}

@media (max-width: 480px) {
	body {
		min-height: 100dvh;
	}

	.confirma,
	.grupo-btn-modi,
	.switches_contabilidad {
		display: block !important;
	}

	.obs_comun label {
		font-size: 12px !important;
		margin: .3em 0 0 0;
	}

	#escudoLogin {
		width: 3.3em;
		height: 4.5em;
		margin-bottom: .3em;
	}

	.container_inicio {
		flex-direction: column;
		gap: 1em;
	}

	.container_inicio a,
	.titulo_partidos {
		font-size: 16px;
	}

	.tituloP {
		display: flex !important;
		flex-direction: column !important;
		align-items: center;
	}

	.btn-modificar {
		margin-top: .5em;
	}

	#proximos-partidos {
		padding: 1em;
		margin: 1em 0 1em 0;
	}

	.contenedor_masivo {
		flex-direction: column;
	}

	#typewriter {
		font-size: 14px !important;
	}

	footer {
		font-size: 10px;
	}

	.cont2 {
		width: 90% !important;
	}
}